{% extends 'shopapp/base.html' %}

{% block title %}
    Shop Index
{% endblock %}

{% block body %}
    <h1>Hello Shop Index</h1>
    <div>
        <ul>
            {% for k, v in products.items %}
                <li>{{ k }} ({{ k|length }}) for ${{ v }}</li>
                {% if k|length_is:'7' %}
                    <span>Lucky product!</span>
                {% endif %}
            {% empty %}
                No products
            {% endfor %}
        </ul>
    </div>
    <div>
        Time running: {{ time_running }}
    </div>
    <div>
        {% lorem 3 p random %}
    </div>
{% endblock %}
